mod animation_step;
mod datatypes;
mod debug;
mod paths;
mod primitives;
mod structs;
mod turtle;
mod turtle_movement;
mod turtle_state;
use bevy::{prelude::*, window::close_on_esc};

use bevy_prototype_lyon::prelude::*;
use turtle::TurtlePlugin;

fn main() {
    App::new()
        .insert_resource(Msaa::Sample4)
        .insert_resource(ClearColor(Color::BEIGE))
        .add_plugins(DefaultPlugins.set(WindowPlugin {
            primary_window: Some(Window {
                resolution: (800.,600.).into(),
                //title: "Turtle Window".to_string(),
                present_mode: bevy::window::PresentMode::AutoVsync,
                ..default()
            }),
            ..default()
        }))
        .add_plugin(ShapePlugin)
        .add_plugin(debug::DebugPlugin)
        .add_plugin(TurtlePlugin)
        .add_system(close_on_esc)
        .run();
}
